/*
 * $Id: DisplayUserInfoForm.java,v 1.2 2004/07/20 08:53:51 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: DisplayUserInfoForm.java,v $
 * Revision 1.2  2004/07/20 08:53:51  jonyp
 * added copyright info + cvs log
 *
 */

package vkc.view.form;

import org.apache.struts.action.ActionForm;

import vkc.db.entities.VKCUser;
import vkc.view.bean.UserInfo;

public final class DisplayUserInfoForm extends ActionForm {

	private Integer userId = null;
	private VKCUser user = null;
	private UserInfo lastEditor = null;
	private String  lastEditingDate = null;
	private UserInfo creator = null;
	private String  creationDate = null;
	
	public String getCreationDate() {
		return creationDate;
	}

	public UserInfo getCreator() {
		return creator;
	}

	public UserInfo getLastEditor() {
		return lastEditor;
	}

	public VKCUser getUser() {
		return user;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setCreationDate(String string) {
		creationDate = string;
	}

	public void setCreator(UserInfo user) {
		creator = user;
	}

	public void setLastEditor(UserInfo user) {
		lastEditor = user;
	}

	public void setUser(VKCUser user) {
		this.user = user;
	}

	public void setUserId(Integer integer) {
		userId = integer;
	}

	public String getLastEditingDate() {
		return lastEditingDate;
	}

	public void setLastEditingDate(String string) {
		lastEditingDate = string;
	}

}